| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__GetCertificateListRequest Struct Reference
Certificates

Get Certificate List request. More...

`#include <osv-if-doc.h>`

## Public Attributes
char * | OperatorId
| Operator Id. More...
struct unsp__Paging * | Paging
| Standard paging structure. More...
enum unsp__CertificateType * | CertificateType
| Filters by Certificate Type. More...
char * | StoreName
| Filters by Store Name. More...
char * | Issuer
| Filters by Certificate Issuer. More...
enum unsp__CertificateStatus | Status
| Filters by Certificate Status. More...
enum unsp__CertificateStatusOperator * | StatusOperator
| Sets Status Operator. More...
enum unsp__CertificateSorting | Sorting
| Certificate Sort Type. More...
enum unsp__SortOrder | SortOrder
| Standard sorting enumeration. More...

## Detailed Description

Get Certificate List request.

Used by unsp__GetCertificateList()

## Member Data Documentation

## ◆ CertificateType

enum unsp__CertificateType* unsp__GetCertificateListRequest::CertificateType

Filters by Certificate Type.

required: false

## ◆ Issuer

char* unsp__GetCertificateListRequest::Issuer

Filters by Certificate Issuer.

required: false

## ◆ OperatorId

char* unsp__GetCertificateListRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ Paging

struct unsp__Paging* unsp__GetCertificateListRequest::Paging

Standard paging structure.

required: false

## ◆ Sorting

enum unsp__CertificateSorting unsp__GetCertificateListRequest::Sorting

Certificate Sort Type.

required: true

## ◆ SortOrder

enum unsp__SortOrder unsp__GetCertificateListRequest::SortOrder

Standard sorting enumeration.

required: false

## ◆ Status

enum unsp__CertificateStatus unsp__GetCertificateListRequest::Status

Filters by Certificate Status.

required: true

## ◆ StatusOperator

enum unsp__CertificateStatusOperator* unsp__GetCertificateListRequest::StatusOperator

Sets Status Operator.

required: false

## ◆ StoreName

char* unsp__GetCertificateListRequest::StoreName

Filters by Store Name.

required: false

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h